# Clicmanager Clicmanager (CLIC = "Calculable Line Item Collection") endpoints are used in the **REACT** version to manipulate Quote/Agreements & Promotions (Contract)/Rebate Agreement/Compensation Plan objects. ## Get a Quote/Contract/Rebate Agreement/Compensation Plan Header - [POST /clicmanager.fetchheader/{typedId}](https://api.pricefx.com/openapi/reference/pricefx-server_openapi/quotes/post-clicmanager.fetchheader-typedid.md): Retrieves details of the specified Compensation Plan, Contract, Quote, or Rebate Agreement - without line items. >This endpoint is used in the REACT version only. It is not advisable to mix REACT endpoints together with Ember endpoints. >Use the clicmanager.fetch/{typedId} endpoint to return line items of the specified entity. ## List CLIC Objects - [POST /clicmanager.fetch/{typedId}](https://api.pricefx.com/openapi/reference/pricefx-server_openapi/quotes/post-clicmanager.fetch.md): Retrieves line items of the specified CLIC entity (Quote/Contract/Rebate Agreement/Compensation Plan Line Items). >This endpoint is used in the REACT version only. It is not advisable to mix REACT endpoints together with Ember endpoints. ## Mark an Offer as Lost (with reason) - [POST /clicmanager.setlostreason/{typedId}](https://api.pricefx.com/openapi/reference/pricefx-server_openapi/quotes/post-clicmanager.setlostreason-typedid.md): Sets the specified Quote as LOST and sets the loss reason (lostReason). Optionally, an additional comment (lostReasonComment) can be added. Returns the updated Quote object. ## Update CLIC Line Items - [POST /clicmanager.updatelineitems/{typedId}](https://api.pricefx.com/openapi/reference/pricefx-server_openapi/quotes/post-clicmanager.updatelineitems-typedid.md): Updates specified line item fields of a CLIC object (Quote, Agreements & Promotions (Contract), Rebate Agreement, or Compensation Plan). ## Create a Quote - [POST /clicmanager.create/{TypeCode}](https://api.pricefx.com/openapi/reference/pricefx-server_openapi/quotes/post-clicmanager.create-typecode.md): Creates a Quote (Q) or a Temporary Quote (QTMP). ## Save a Temporary Data - [POST /clicmanager.save/{typedId}](https://api.pricefx.com/openapi/reference/pricefx-server_openapi/quotes/post-clicmanager.save-typedid.md): Stores the temporary data from QTMP to the persisted data (Q). Returns the Quote (Q) object. ## Get a Temporary Data - [POST /clicmanager.fetchtmpheader/{typedId}](https://api.pricefx.com/openapi/reference/pricefx-server_openapi/quotes/post-clicmanager.fetchtmpheader-typedid.md): Retrieves the existing temporary data (QTMP) for the specified Quote. Creates a new QTMP object for the Quote, if the temporary data does not exist. ## Delete All Line Items - [POST /clicmanager.removeallitems/{typedId}](https://api.pricefx.com/openapi/reference/pricefx-server_openapi/quotes/post-clicmanager.removeallitems-typedid.md): Removes all line items from a specified CLIC (Quote,Agreements & Promotions (Contract), Rebate Agreement, Compensation Plan) object. This action can be performed only on doucments in the DRAFT status. >If 'Recalculate after line item modification' option is set then the document is recalculated. ## Import Line Items (w/o Input Types) - [POST /clicmanager.importlineitems/{typedId}](https://api.pricefx.com/openapi/reference/pricefx-server_openapi/quotes/post-clicmanager.importlineitems-typedid.md): Imports CLIC line items without specified input types, alowing to assign the input type to the line item using logic. The input name of the imported line item in the API request is compared with the name of inputs generated by the line item logic. If those names are equal, the input type from the calculation logic is used. ## Get Folder Statistics - [POST /clicmanager.folderstats/{typedId}](https://api.pricefx.com/openapi/reference/pricefx-server_openapi/quotes/post-clicmanager.folderstats-typedid.md): Returns a list of parent IDs with the count of nested items. An example can be a list of Quote folders (their IDs) with the count of line items inside them. ## Get a Quote/Contract/Rebate Agreement/Compensation Plan Header - [POST /clicmanager.fetchheader/{typedId}](https://api.pricefx.com/openapi/reference/pricefx-server_openapi/contracts-(agreements-and-promotions)/post-clicmanager.fetchheader-typedid.md): Retrieves details of the specified Compensation Plan, Contract, Quote, or Rebate Agreement - without line items. >This endpoint is used in the REACT version only. It is not advisable to mix REACT endpoints together with Ember endpoints. >Use the clicmanager.fetch/{typedId} endpoint to return line items of the specified entity. ## Submit a Quote/Contract/Rebate Agreement - [POST /clicmanager.submit/{typedId}](https://api.pricefx.com/openapi/reference/pricefx-server_openapi/contracts-(agreements-and-promotions)/post-clicmanager.submit-typedid.md): Submits a Contract, Quote, or Rebate Agreement. >This endpoint is used in the REACT version only. It is not advisable to mix REACT endpoints together with Ember endpoints. ## List CLIC Objects - [POST /clicmanager.fetch/{typedId}](https://api.pricefx.com/openapi/reference/pricefx-server_openapi/contracts-(agreements-and-promotions)/post-clicmanager.fetch.md): Retrieves line items of the specified CLIC entity (Quote/Contract/Rebate Agreement/Compensation Plan Line Items). >This endpoint is used in the REACT version only. It is not advisable to mix REACT endpoints together with Ember endpoints. ## Update CLIC Line Items - [POST /clicmanager.updatelineitems/{typedId}](https://api.pricefx.com/openapi/reference/pricefx-server_openapi/contracts-(agreements-and-promotions)/post-clicmanager.updatelineitems-typedid.md): Updates specified line item fields of a CLIC object (Quote, Agreements & Promotions (Contract), Rebate Agreement, or Compensation Plan). ## Delete All Line Items - [POST /clicmanager.removeallitems/{typedId}](https://api.pricefx.com/openapi/reference/pricefx-server_openapi/contracts-(agreements-and-promotions)/post-clicmanager.removeallitems-typedid.md): Removes all line items from a specified CLIC (Quote,Agreements & Promotions (Contract), Rebate Agreement, Compensation Plan) object. This action can be performed only on doucments in the DRAFT status. >If 'Recalculate after line item modification' option is set then the document is recalculated. ## Import Line Items (w/o Input Types) - [POST /clicmanager.importlineitems/{typedId}](https://api.pricefx.com/openapi/reference/pricefx-server_openapi/contracts-(agreements-and-promotions)/post-clicmanager.importlineitems-typedid.md): Imports CLIC line items without specified input types, alowing to assign the input type to the line item using logic. The input name of the imported line item in the API request is compared with the name of inputs generated by the line item logic. If those names are equal, the input type from the calculation logic is used. ## Get a Quote/Contract/Rebate Agreement/Compensation Plan Header - [POST /clicmanager.fetchheader/{typedId}](https://api.pricefx.com/openapi/reference/pricefx-server_openapi/rebate-agreements/post-clicmanager.fetchheader-typedid.md): Retrieves details of the specified Compensation Plan, Contract, Quote, or Rebate Agreement - without line items. >This endpoint is used in the REACT version only. It is not advisable to mix REACT endpoints together with Ember endpoints. >Use the clicmanager.fetch/{typedId} endpoint to return line items of the specified entity. ## List CLIC Objects - [POST /clicmanager.fetch/{typedId}](https://api.pricefx.com/openapi/reference/pricefx-server_openapi/rebate-agreements/post-clicmanager.fetch.md): Retrieves line items of the specified CLIC entity (Quote/Contract/Rebate Agreement/Compensation Plan Line Items). >This endpoint is used in the REACT version only. It is not advisable to mix REACT endpoints together with Ember endpoints. ## Update CLIC Line Items - [POST /clicmanager.updatelineitems/{typedId}](https://api.pricefx.com/openapi/reference/pricefx-server_openapi/rebate-agreements/post-clicmanager.updatelineitems-typedid.md): Updates specified line item fields of a CLIC object (Quote, Agreements & Promotions (Contract), Rebate Agreement, or Compensation Plan). ## Delete All Line Items - [POST /clicmanager.removeallitems/{typedId}](https://api.pricefx.com/openapi/reference/pricefx-server_openapi/rebate-agreements/post-clicmanager.removeallitems-typedid.md): Removes all line items from a specified CLIC (Quote,Agreements & Promotions (Contract), Rebate Agreement, Compensation Plan) object. This action can be performed only on doucments in the DRAFT status. >If 'Recalculate after line item modification' option is set then the document is recalculated. ## Import Line Items (w/o Input Types) - [POST /clicmanager.importlineitems/{typedId}](https://api.pricefx.com/openapi/reference/pricefx-server_openapi/rebate-agreements/post-clicmanager.importlineitems-typedid.md): Imports CLIC line items without specified input types, alowing to assign the input type to the line item using logic. The input name of the imported line item in the API request is compared with the name of inputs generated by the line item logic. If those names are equal, the input type from the calculation logic is used. ## Get a Quote/Contract/Rebate Agreement/Compensation Plan Header - [POST /clicmanager.fetchheader/{typedId}](https://api.pricefx.com/openapi/reference/pricefx-server_openapi/sales-compensations/post-clicmanager.fetchheader-typedid.md): Retrieves details of the specified Compensation Plan, Contract, Quote, or Rebate Agreement - without line items. >This endpoint is used in the REACT version only. It is not advisable to mix REACT endpoints together with Ember endpoints. >Use the clicmanager.fetch/{typedId} endpoint to return line items of the specified entity. ## List CLIC Objects - [POST /clicmanager.fetch/{typedId}](https://api.pricefx.com/openapi/reference/pricefx-server_openapi/sales-compensations/post-clicmanager.fetch.md): Retrieves line items of the specified CLIC entity (Quote/Contract/Rebate Agreement/Compensation Plan Line Items). >This endpoint is used in the REACT version only. It is not advisable to mix REACT endpoints together with Ember endpoints. ## Update a Quote/Contract/Rebate Agreement/Compensation Plan - [POST /clicmanager.update/{typedId}](https://api.pricefx.com/openapi/reference/pricefx-server_openapi/sales-compensations/post-clicmanager.update-typedid.md): Updates a Quote, Contract, Rebate Agreement, or Compensation Plan. attributeExtension can be updated as follows: json { "data": { "typedId": "{typedId}", "version": {version}, "attributeExtension___AttributeExtensionColumn2": "testValue" } } >This endpoint is not allowed to modify the document status and workflow status. >This endpoint is used in the REACT version only. It is not advisable to mix REACT endpoints together with Ember endpoints. ## Recalculate a Quote/Contract/Rebate Agreement/Compensation Plan - [POST /clicmanager.calculate/{typedId}](https://api.pricefx.com/openapi/reference/pricefx-server_openapi/sales-compensations/post-clicmanager.calculate-typedid.md): Calculates a Quote, Contract, Rebate Agreement, or Compensation Plan. >This endpoint is used in the REACT version only. It is not advisable to mix REACT endpoints together with Ember endpoints. ## Update CLIC Line Items - [POST /clicmanager.updatelineitems/{typedId}](https://api.pricefx.com/openapi/reference/pricefx-server_openapi/sales-compensations/post-clicmanager.updatelineitems-typedid.md): Updates specified line item fields of a CLIC object (Quote, Agreements & Promotions (Contract), Rebate Agreement, or Compensation Plan). ## Delete All Line Items - [POST /clicmanager.removeallitems/{typedId}](https://api.pricefx.com/openapi/reference/pricefx-server_openapi/sales-compensations/post-clicmanager.removeallitems-typedid.md): Removes all line items from a specified CLIC (Quote,Agreements & Promotions (Contract), Rebate Agreement, Compensation Plan) object. This action can be performed only on doucments in the DRAFT status. >If 'Recalculate after line item modification' option is set then the document is recalculated. ## Import Line Items (w/o Input Types) - [POST /clicmanager.importlineitems/{typedId}](https://api.pricefx.com/openapi/reference/pricefx-server_openapi/sales-compensations/post-clicmanager.importlineitems-typedid.md): Imports CLIC line items without specified input types, alowing to assign the input type to the line item using logic. The input name of the imported line item in the API request is compared with the name of inputs generated by the line item logic. If those names are equal, the input type from the calculation logic is used. ## Get a Quote/Contract/Rebate Agreement/Compensation Plan Header - [POST /clicmanager.fetchheader/{typedId}](https://api.pricefx.com/openapi/reference/pricefx-server_openapi/clicmanager/post-clicmanager.fetchheader-typedid.md): Retrieves details of the specified Compensation Plan, Contract, Quote, or Rebate Agreement - without line items. >This endpoint is used in the REACT version only. It is not advisable to mix REACT endpoints together with Ember endpoints. >Use the clicmanager.fetch/{typedId} endpoint to return line items of the specified entity. ## Submit a Quote/Contract/Rebate Agreement - [POST /clicmanager.submit/{typedId}](https://api.pricefx.com/openapi/reference/pricefx-server_openapi/clicmanager/post-clicmanager.submit-typedid.md): Submits a Contract, Quote, or Rebate Agreement. >This endpoint is used in the REACT version only. It is not advisable to mix REACT endpoints together with Ember endpoints. ## List CLIC Objects - [POST /clicmanager.fetch/{typedId}](https://api.pricefx.com/openapi/reference/pricefx-server_openapi/clicmanager/post-clicmanager.fetch.md): Retrieves line items of the specified CLIC entity (Quote/Contract/Rebate Agreement/Compensation Plan Line Items). >This endpoint is used in the REACT version only. It is not advisable to mix REACT endpoints together with Ember endpoints. ## Update a Quote/Contract/Rebate Agreement/Compensation Plan - [POST /clicmanager.update/{typedId}](https://api.pricefx.com/openapi/reference/pricefx-server_openapi/clicmanager/post-clicmanager.update-typedid.md): Updates a Quote, Contract, Rebate Agreement, or Compensation Plan. attributeExtension can be updated as follows: json { "data": { "typedId": "{typedId}", "version": {version}, "attributeExtension___AttributeExtensionColumn2": "testValue" } } >This endpoint is not allowed to modify the document status and workflow status. >This endpoint is used in the REACT version only. It is not advisable to mix REACT endpoints together with Ember endpoints. ## Recalculate a Quote/Contract/Rebate Agreement/Compensation Plan - [POST /clicmanager.calculate/{typedId}](https://api.pricefx.com/openapi/reference/pricefx-server_openapi/clicmanager/post-clicmanager.calculate-typedid.md): Calculates a Quote, Contract, Rebate Agreement, or Compensation Plan. >This endpoint is used in the REACT version only. It is not advisable to mix REACT endpoints together with Ember endpoints. ## List Unique CLIC Items - [POST /clicmanager.fetchitemuniquetypes/{typedId}](https://api.pricefx.com/openapi/reference/pricefx-server_openapi/clicmanager/post-clicmanager.fetchitemuniquetypes.md): Returns all SKUs for the given Calculable Line Item Collection (CLIC). >This endpoint is used in the REACT version only. It is not advisable to mix REACT endpoints together with Ember endpoints. ## Mark an Offer as Lost (with reason) - [POST /clicmanager.setlostreason/{typedId}](https://api.pricefx.com/openapi/reference/pricefx-server_openapi/clicmanager/post-clicmanager.setlostreason-typedid.md): Sets the specified Quote as LOST and sets the loss reason (lostReason). Optionally, an additional comment (lostReasonComment) can be added. Returns the updated Quote object. ## Send an Email - [POST /clicmanager.sendemail](https://api.pricefx.com/openapi/reference/pricefx-server_openapi/clicmanager/post-clicmanager.sendemail.md): Sends an email with attached document (e.g., a Quote) to the specified recipients using the Publishing Template. You can retrieve available publishing templates calling the configurationmanager.fetchtemplates/{TypeCode} endpoint. ### Email Sending Rate Limits and Restrictions To prevent misuse, such as email flooding or spam, the following rate limits and restrictions are applied: Rate Limiting on clicmanager.sendemail Endpoint: - Each user account is restricted to calling this endpoint no more than 5 times (default) within a 5-minute period (default). - This limit is counted per partition. Recipient Limitation in Payload: - The payload for the clicmanager.sendemail endpoint, which specifies recipients limits the number of recipients. - A default limit of 20 recipients. To change these limits, adjust values for the following options in Advanced Configuration Options: - sendEmailMaxRecipients - sendEmailMinutesCountForThrottling - sendEmailMaxCountInLastMinutes ## Update CLIC Line Items - [POST /clicmanager.updatelineitems/{typedId}](https://api.pricefx.com/openapi/reference/pricefx-server_openapi/clicmanager/post-clicmanager.updatelineitems-typedid.md): Updates specified line item fields of a CLIC object (Quote, Agreements & Promotions (Contract), Rebate Agreement, or Compensation Plan). ## Create a Quote - [POST /clicmanager.create/{TypeCode}](https://api.pricefx.com/openapi/reference/pricefx-server_openapi/clicmanager/post-clicmanager.create-typecode.md): Creates a Quote (Q) or a Temporary Quote (QTMP). ## Save a Temporary Data - [POST /clicmanager.save/{typedId}](https://api.pricefx.com/openapi/reference/pricefx-server_openapi/clicmanager/post-clicmanager.save-typedid.md): Stores the temporary data from QTMP to the persisted data (Q). Returns the Quote (Q) object. ## Get a Temporary Data - [POST /clicmanager.fetchtmpheader/{typedId}](https://api.pricefx.com/openapi/reference/pricefx-server_openapi/clicmanager/post-clicmanager.fetchtmpheader-typedid.md): Retrieves the existing temporary data (QTMP) for the specified Quote. Creates a new QTMP object for the Quote, if the temporary data does not exist. ## Delete All Line Items - [POST /clicmanager.removeallitems/{typedId}](https://api.pricefx.com/openapi/reference/pricefx-server_openapi/clicmanager/post-clicmanager.removeallitems-typedid.md): Removes all line items from a specified CLIC (Quote,Agreements & Promotions (Contract), Rebate Agreement, Compensation Plan) object. This action can be performed only on doucments in the DRAFT status. >If 'Recalculate after line item modification' option is set then the document is recalculated. ## Import Line Items (w/o Input Types) - [POST /clicmanager.importlineitems/{typedId}](https://api.pricefx.com/openapi/reference/pricefx-server_openapi/clicmanager/post-clicmanager.importlineitems-typedid.md): Imports CLIC line items without specified input types, alowing to assign the input type to the line item using logic. The input name of the imported line item in the API request is compared with the name of inputs generated by the line item logic. If those names are equal, the input type from the calculation logic is used. ## Get Folder Statistics - [POST /clicmanager.folderstats/{typedId}](https://api.pricefx.com/openapi/reference/pricefx-server_openapi/clicmanager/post-clicmanager.folderstats-typedid.md): Returns a list of parent IDs with the count of nested items. An example can be a list of Quote folders (their IDs) with the count of line items inside them. ## Fetch Activities - [POST /activitylog.fetch](https://api.pricefx.com/openapi/reference/pricefx-server_openapi/clicmanager/post-activitylog.fetch.md): Fetches activities for a CLIC module activity log in a concise format, e.g., when multiple 'add item' actions are performed consecutively, they are consolidated into a single activity log entry containing all details.